﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using RSPhotography.WebServices.UnitTests.ServiceReference;
using System.Diagnostics;

namespace RSPhotography.WebServices.UnitTests
{
    [TestClass]
    public class BasicTests
    {
        [TestMethod]
        public void TestService()
        {
            using (CatalogServiceClient c = new CatalogServiceClient())
            {
                Location loc = new Location();
                loc.LocationId = 1;
                var result = c.GetCatalogByLocation(loc);
                Assert.IsTrue(result.Count > 0, "Should be at least one record");
                Trace.WriteLine(result[0].Title);
                c.SaveCatalog(result[0]);
            }
        }
    }
}
