﻿using RSPhotography.DataAccess;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace RSPhotography.WebServices
{
    public class CatalogService : ICatalogService
    {
        public ReadOnlyCollection<Catalog> GetCatalogByLocation(Location value)
        {
            try
            {

                using (CatalogDataAccessor accessor = new CatalogDataAccessor())
                {
                    return accessor.FindItemsByLocation(value);
                }
            }
            catch (Exception ex)
            {
                Trace.WriteLine(ex.Message);
            }
            return null;
        }


        public void SaveCatalog(Catalog value)
        {
            Trace.WriteLine(value.Title);
        }
    }
}
