CREATE TABLE [dbo].[Genre] (
    [GenreId]       INT            NOT NULL,
    [Title]         NVARCHAR (50)  NOT NULL,
    [Description]   NVARCHAR (200) NOT NULL,
    [ParentGenreId] INT            NULL,
    CONSTRAINT [PK__Genre__PK] PRIMARY KEY CLUSTERED ([GenreId] ASC),
    CONSTRAINT [FK_Genre_Genre] FOREIGN KEY ([ParentGenreId]) REFERENCES [dbo].[Genre] ([GenreId])
);





GO

GO
CREATE NONCLUSTERED INDEX [IX_Genre_Parent]
    ON [dbo].[Genre]([GenreId] ASC, [ParentGenreId] ASC);

