﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RSPhotography.DataAccess
{
    public abstract class DataAccessor : IDisposable
    {
        protected RSPhotographyEntities _context;

        public DataAccessor()
        {
            _context = new RSPhotographyEntities();
        }

        public void Dispose()
        {
            if (_context != null)
            {
                _context.Dispose();
            }
        }
    }
}
