﻿CREATE TABLE [dbo].[Catalog] (
    [CatalogId]        INT            IDENTITY (1, 1) NOT NULL,
    [Title]            NVARCHAR (50)  NOT NULL,
    [Description]      NVARCHAR (400) NULL,
    [DateTaken]        DATE           NULL,
    [OriginalFilename] NVARCHAR (50)  NULL,
    CONSTRAINT [PK__Catalog__PK] PRIMARY KEY CLUSTERED ([CatalogId] ASC)
);







GO
CREATE NONCLUSTERED INDEX [IX_Catalog_Date]
    ON [dbo].[Catalog]([DateTaken] ASC);

