﻿CREATE TABLE [dbo].[Files] (
    [FileId]    INT           IDENTITY (1, 1) NOT NULL,
    [Filename]  NVARCHAR (50) NULL,
    [CatalogId] INT           NULL,
    [SizeId]    INT           NULL,
    [IsDefault] BIT           DEFAULT ((0)) NOT NULL,
    PRIMARY KEY CLUSTERED ([FileId] ASC),
    CONSTRAINT [FK_Files_Catalog] FOREIGN KEY ([CatalogId]) REFERENCES [dbo].[Catalog] ([CatalogId]),
    CONSTRAINT [FK_Files_Sizes] FOREIGN KEY ([SizeId]) REFERENCES [dbo].[Sizes] ([SizeId])
);



GO

GO


GO
